> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# CAC_Advance

> Advance Identifications



## OpenAPI

````yaml /openapi/identity.json post /kyb/biz-advance
openapi: 3.0.2
info:
  title: Flick Identity API
  description: 'This is a sample API Document for Flick services '
  termsOfService: http://swagger.io/terms/
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For Identity check using Flick
security:
  - bearerAuth: []
tags:
  - name: Individuals(KYC)
    description: Means of Identifications
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Businesses(KYB)
    description: Means of Identifications
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Biometrics
    description: Means of Identifications
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /kyb/biz-advance:
    post:
      tags:
        - Businesses(KYB)
      summary: CAC_Advance
      description: Advance Identifications
      operationId: Check CAC Advance
      requestBody:
        description: Checking for CAC Identification
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Advance'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdvanceRespose'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Invalid input
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    Advance:
      required:
        - rcNumber
      type: object
      properties:
        rcNumber:
          type: string
          description: Only available for Ltd companies
          example: '0060621'
    AdvanceRespose:
      type: object
      properties:
        status:
          type: string
          example: ACTIVE
        id:
          type: integer
          format: int64
          example: 5189730
        approvedName:
          type: string
          example: KIDDIEWINK LIMITED
        objectives:
          type: string
          example: 'null'
        registrationApproved:
          type: boolean
          example: true
        rcNumber:
          type: string
          example: '1509595'
        address:
          type: string
          example: 37, Olowora Road
        branchAddress:
          type: string
          example: 'null'
        registrationSubmitted:
          type: boolean
          example: true
        businessCommencementDate:
          type: string
          example: 'null'
        reservationSerialNo:
          type: string
          example: '7795298215'
        active:
          type: boolean
          example: true
        registrationSerialNo:
          type: string
          example: 'null'
        registrationApprovedByRg:
          type: string
          example: 'null'
        trackingId:
          type: string
          example: 4e3FAXmkqneV3bscniPf
        dateOfReservation:
          type: string
          format: date-time
          example: '2018-12-18T07:44:24.787+00:00'
        needsProficiencyDocs:
          type: boolean
          example: false
        availabilityCode:
          type: string
          example: '06890724018'
        nameAvailability:
          type: integer
          example: 4189656
        forwardedToAo:
          type: string
          example: 'null'
        forwardedToRgs:
          type: boolean
          example: true
        classificationFk:
          type: object
          properties:
            id:
              type: integer
              format: int64
              example: 2
            name:
              type: string
              example: COMPANY
            description:
              type: string
              example: Company
        natureOfBusinessFk:
          type: object
          properties:
            id:
              type: integer
              format: int64
              example: 100238
            name:
              type: string
              example: General Merchandise
            description:
              type: string
              example: PRIVATE COMPANY LIMITED BY SHARES
            natureOfBusinessCategoryFk:
              type: string
              example: 'null'
            isActive:
              type: string
              example: 'null'
            un_isic:
              type: string
              example: 'null'
            hidden:
              type: string
              example: 'null'
            isic_group_fk:
              type: string
              example: 'null'
        companyTypeFk:
          type: object
          properties:
            id:
              type: integer
              format: int64
              example: 6883
            name:
              type: string
              example: PRIVATE_COMPANY_LIMITED_BY_SHARES
            description:
              type: string
              example: PRIVATE COMPANY LIMITED BY SHARES
            classification_fk:
              type: object
              properties:
                id:
                  type: integer
                  format: int64
                name:
                  type: string
                  example: 'null'
                description:
                  type: string
                  example: 'null'
        registrationDate:
          type: string
          format: date-time
          example: '2019-02-25T15:38:40.357+00:00'
        review_status:
          type: string
          example: REVIEWED
        isOldRecord:
          type: boolean
          example: false
        regPortalUserFk:
          type: object
          properties:
            id:
              type: integer
              format: int64
              example: 1887270
            surname:
              type: string
              example: BASSEY
            firstname:
              type: string
              example: EMMANUEL
            otherName:
              type: string
              example: ABAONG
            email:
              type: string
              example: emmanuelang@yahoo.com
            phoneNumber:
              type: string
              example: '+2347030909736'
            userId:
              type: string
              example: CF-909357
            approved:
              type: boolean
              example: true
            portalUserTypeFk:
              type: object
              properties:
                id:
                  type: integer
                  format: int64
                  example: 88
                name:
                  type: string
                  example: Portal User
                description:
                  type: string
                  example: Portal User
            gender:
              type: string
              example: MALE
            dateOfBirth:
              type: string
              format: date-time
              example: '1987-04-15T23:00:00.000+00:00'
            streetNumber:
              type: string
              example: '16'
            postcode:
              type: string
              example: '100253'
            Many-More: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.